Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161618 - audit userspace causes the kernel to panic
Summary: audit userspace causes the kernel to panic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: audit
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Grubb
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156323
TreeView+ depends on / blocked
 
Reported: 2005-06-24 20:36 UTC by Bill Peck
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHEA-2005-530
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:39:37 UTC


Attachments (Terms of Use)
Bull1 panic with kernel-2.6.9-11.16.EL (deleted)
2005-06-24 20:36 UTC, Bill Peck
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2005:530 qe-ready SHIPPED_LIVE audit enhancement update 2005-10-05 04:00:00 UTC

Description Bill Peck 2005-06-24 20:36:50 UTC
Description of problem:

After installation of RHEL4-U2-re0624.nightly the system will panic during
bootup right when the user space audit starts.

Version-Release number of selected component (if applicable):
2.6.9-11.16.EL

How reproducible:
Everytime

Additional info:

David Woodhouse's 2.6.9-11.EL.audit.70 does not panic. Everything else is the
same.  I'll be attaching the panic.

Comment 1 Bill Peck 2005-06-24 20:36:50 UTC
Created attachment 115952 [details]
Bull1 panic with kernel-2.6.9-11.16.EL

Comment 2 Bill Peck 2005-06-25 13:43:27 UTC
2.6.9-11.14    Panics
2.6.9-11.15    Panics

I'm now checking -11.4 and -11.5

Comment 3 Bill Peck 2005-06-25 14:14:25 UTC
2.6.9-11.4     Panics
2.6.9-11.5     Panics

Comment 5 David Woodhouse 2005-06-28 14:46:40 UTC
If you downgrade the audit package to an older version, does this problem go away?

If so, we need to examine what it is that the audit startup is doing to trigger
the panic, and make it stop.

Comment 6 David Woodhouse 2005-06-28 15:24:51 UTC
Does the U1 kernel also crash with the newer audit utils?

Comment 8 Mike McLean 2005-06-28 17:28:19 UTC
> If you downgrade the audit package to an older version, does this problem go away?

Results are still coming it, but it appears so.  I ran a compose without the new
audit (RHEL4-U2-re0628.0) and the KATE installs appear to be working.

Comment 9 Steve Grubb 2005-06-28 18:00:55 UTC
Mike, when you say new audit, are you talking about 0.9.14?

It would also be interesting to see what commenting out the -D from
/etc/audit.rules does. This requests a list of rules from the kernel. Maybe its
choking on that.

I will probably be putting a 0.9.15 into 4E-qu-candidate soon. Do you need me to
wait while this is looked into?

Comment 22 Red Hat Bugzilla 2005-10-05 10:55:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-530.html


Comment 23 Red Hat Bugzilla 2005-10-05 11:48:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-530.html


Comment 24 Red Hat Bugzilla 2005-10-05 12:39:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-530.html



Note You need to log in before you can comment on or make changes to this bug.